using System.Reflection;
using Android.App;
using Android.OS;
using Xamarin.Android.NUnitLite;

namespace UnitTestDroid
{
    [Activity(Label = "UnitTestDroid", MainLauncher = true, Icon = "@drawable/icon")]
    public class MainActivity : TestSuiteActivity
    {
        protected override void OnCreate(Bundle bundle)
        {
            // Testy mogą znajdować się w głównym zestawie...
            AddTest(Assembly.GetExecutingAssembly());
            // lub w innym, do którego odwołuje się kod.
            // AddTest (typeof (Your.Library.TestClass).Assembly);

            // Po wywołaniu base.OnCreate() nie można dodawać kolejnych zestawów.
            base.OnCreate(bundle);
        }
    }
}

